%define         apache_version 1.3.14
%define         apache_release 1mdk

Summary:	Oracle module for PHP4
Name:		php-oracle
Version:	4.0.3pl1
Release:	1mdk
Group:		System/Servers

Copyright:	PHP
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	apache >= %{apache_version}-%{apache_release} gdbm, zlib, pam, mm
BuildRequires:	apache-devel >= %{apache_version}-%{apache_release}, bison, byacc, gdbm-devel, zlib-devel, mm-devel
Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor:		MandrakeSoft
Distribution:	Linux-Mandrake

%define sysconfdir /etc
%define phpdir %{_libdir}/php

%description 
The php-oracle package includes a dynamic shared object (DSO) that adds
Oracle database support to PHP4.  Oracle is a leading object-relational
database management system. PHP is an HTML-embedded scripting language. If
you need back-end support for Oracle, you should install this package in
addition to the main php package.


%prep

if [ -z $ORACLE_HOME ];then 
	echo "*************************************************"
	echo
	echo "You must set ORACLE_HOME to compile this package!"
	echo
	echo "*************************************************"
fi
 cp -dpR /usr/src/php-devel/extensions/oracle .
 cp -dpR /usr/src/php-devel/extensions/oci8 .
 mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

 CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS

%build
cd oracle
phpize
./configure --enable-sigchild
make
cd ..

cd oci8
phpize
./configure --enable-sigchild
make
cd ..

%install
 cp oci8/modules/*.so $RPM_BUILD_ROOT%{phpdir}/extensions
 cp oracle/modules/*.so $RPM_BUILD_ROOT%{phpdir}/extensions

%clean

%post
echo "extension=oracle.so" >> /etc/php.ini
echo "extension=oci8.so" >> /etc/php.ini
AESctl update

%postun
cp -f /etc/php.ini /etc/php.ini.bak
cat /etc/php.ini.bak|grep -v extension=oracle| \
	grep -v extension=oci8 > /etc/php.ini
AESctl update


%files 
%defattr(-,root,root)
%{phpdir}/extensions/oracle.so
%{phpdir}/extensions/oci8.so


%changelog
* Mon Oct 23 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.3pl1-1mdk
- update for PHP bugfix+security release

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-1mdk
- remade for new php

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-6mdk
- first Mandrake package
